Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class StructuredContentProvider<INPUT>

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider<INPUT>

Type Parameters:
  `INPUT` - The type of input (root of the tree)

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

Direct Known Subclasses:
  PropertiesContentProvider, TreeContentProvider

    public abstract class StructuredContentProvider<INPUT>

extends Object
implements org.eclipse.jface.viewers.IStructuredContentProvider

Author:
  Eike Stepper

Constructor Summary
`StructuredContentProvider()`

Method Summary
`void` | `dispose()`
`INPUT` | `getInput()`
`org.eclipse.jface.viewers.Viewer` | `getViewer()`
`void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)`
`void` | `refreshViewer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IStructuredContentProvider
`getElements`

Constructor Detail

### StructuredContentProvider

    public StructuredContentProvider()

Method Detail

### getViewer

    public org.eclipse.jface.viewers.Viewer getViewer()

### getInput

    public INPUT getInput()

### inputChanged

    public final void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                                   Object oldInput,
                                   Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### refreshViewer

    public void refreshViewer()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.